summaryrefslogtreecommitdiffstats
path: root/lava-slave/scripts/setup.sh
diff options
context:
space:
mode:
authorCorentin LABBE <clabbe@baylibre.com>2018-09-13 14:02:09 +0200
committerCorentin LABBE <clabbe@baylibre.com>2018-09-13 20:40:20 +0200
commit5ec706b035b1213bb82ceabf5e7d160d8003b174 (patch)
tree6625f5f6a1a4b8cd1be5dab750c9c7603e510f97 /lava-slave/scripts/setup.sh
parentfa9eb27201929ba157b2b57769982a13fd4e37d0 (diff)
Permit to add tags to devices
This patch permits to add tags to device Signed-off-by: Corentin Labbe <clabbe@baylibre.com>
Diffstat (limited to 'lava-slave/scripts/setup.sh')
-rwxr-xr-xlava-slave/scripts/setup.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/lava-slave/scripts/setup.sh b/lava-slave/scripts/setup.sh
index 7cff479..f281f6b 100755
--- a/lava-slave/scripts/setup.sh
+++ b/lava-slave/scripts/setup.sh
@@ -113,6 +113,13 @@ do
lavacli $LAVACLIOPTS devices add --type $devicetype --worker $worker $devicename || exit $?
lavacli $LAVACLIOPTS devices dict set $devicename /root/devices/$worker/$device || exit $?
fi
+ if [ -e /root/tags/$devicename ];then
+ while read tag
+ do
+ echo "DEBUG: Add tag $tag to $devicename"
+ lavacli $LAVACLIOPTS devices tags add $devicename $tag || exit $?
+ done < /root/tags/$devicename
+ fi
done
done